<app-loading></app-loading>
<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-right col-12 col-qpad divtop">
      <app-button [btnCtrl]="[true, true, true, true]" [opcion] = 1 [modulo]="modulo" ></app-button>
    </div>

    <div *ngIf="pageServ.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2 d-block d-lg-none d-md-nonek">
      <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaPage(dataGlobal, $event);"
            [pageSize]="pageServ.pageSize"
            [pageSizeOptions]="pageServ.pageSizeOptions">
      </mat-paginator>

    </div>
    <div class="container-fluid float-left div-table col-12" style="text-align: right;">
      <mat-form-field style="width: 350px;">
        <input matInput (keyup)="applyFilter()" placeholder="Filtrar búsqueda..." [(ngModel)]="search">
        <span matPrefix><i class="fa fa-search text-info"></i> &nbsp;</span>
      </mat-form-field>
    </div>

    <div *ngIf="!banperm" class="container-fluid float-left div-table col-12" >
      <div class="d-none d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th class="col-15 col-r" scope="col">N°</th>
            <th class="col-l col-180" scope="col">NRO DE CELULAR</th>
            <th class="col-50 col-c" scope="col">NRO DE DOCUMENTO</th>
            <th class="col-c col-100" scope="col">NOMBRE Y APELLIDOS</th>
            <th class="col-l col-25" scope="col">ESTADO DE CLIENTE</th>
            <th class="col-25 col-l" scope="col"></th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageServ.dataSource; let i = index" data-index="i">

            <th class="col-15 col-r">{{i + 1}}</th>
            <td class="col-l col-100">{{regist.v_numero}} </td>
            <td class="col-l col-180">{{regist.v_dni}} </td>
            <td class="col-l col-180">{{regist.v_nombre}} </td>
             <td class="col-l col-180">{{regist.tipoestado.v_nombre.toUpperCase()}} </td>
            <!-- <td class="col-c"><i matTooltip="{{ regist.b_vigencia == 1 ? 'ACTIVO' : 'INACTIVO' }}" class="fa fa-{{ regist.b_vigencia == 1 ? 'check' : 'times' }} fa-2x text-{{ regist.b_vigencia == 1 ? 'success' : 'danger' }}"></i></td> -->
            <td scope="row" class="col-25 col-c">
              <a *ngIf="regist.b_vigencia == 1" class="btn btn-sm btn-danger" matTooltip="Desactivar registro" (click)="estado(regist.n_idcliente, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
              <a *ngIf="regist.b_vigencia == 0" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="estado(regist.n_idcliente, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
              <a  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editar(regist.n_idcliente)"><i class="fa fa-edit"></i></a>&nbsp;
              <a  class="btn btn-sm btn-crg" matTooltip="Ver resultados de asignación" (click)="resultados(regist)"><i class="fas fa-tasks"></i></a>&nbsp;
            </td>
          </tr>
          <tr *ngIf="pageServ.dataSource.length == 0" class="col-l cel-ie">
            <th colspan="8">No hay registros.</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="8" class="col-r"><b>{{ pageServ.dataSource.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
      <div class="d-block d-lg-none d-md-none">
        <table class="font-comp table-style">
            <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageServ.dataSource">
                <div class="card bg-c-dark order-card">
                    <div class="card-block">
                        <h6 class="m-b-20">{{ regist.v_numero }} </h6>
                        <h2><i matTooltip="Estado Cliente" class="fa fa-star f-left text-info"></i>&nbsp;<i matTooltip="{{ regist.b_vigencia == 1 ? 'ACTIVO' : 'INACTIVO' }}." class="fa fa-{{ regist.miembro == 1 ? 'check' : 'times' }} text-{{ regist.miembro == 1 ? 'success' : 'danger' }}"></i>
                          <span class="f-right">
                          <a *ngIf="regist.b_vigencia == 1" class="btn btn-xs btn-danger" matTooltip="Desactivar registro" (click)="estado(regist.n_idcliente, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                          <a *ngIf="regist.b_vigencia == 0" class="btn btn-xs btn-success" matTooltip="Habilitar registro" (click)="estado(regist.n_idcliente, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
                          <a  class="btn btn-xs btn-dark" matTooltip="Editar registro" (click)="editar(regist.n_idcliente)"><i class="fa fa-edit"></i></a>&nbsp;

                          </span></h2>
                        <p class="m-b-0">Nro de Documento<span class="f-right">{{ regist.v_dni }}</span></p>
                        <p class="m-b-0">Nombre y Apellidos<span class="f-right">{{ <regist class="v_nombres"></regist> | currency }}</span></p>
                        <p class="m-b-0">Fecha Registro<span class="f-right">{{ regist.a_d_fechacrea  | date:'dd-MM-yyyy'}}</span></p>
                        <p class="f-right">

                        </p>
                    </div>
                </div>
            </div>
            <tbody>
              <tr>
                <th *ngIf="pageServ.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                  No hay registros de Clientes
                </th>
              </tr>
            </tbody>
        </table>
      </div>

    </div>
    <div *ngIf="!banperm && pageServ.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageServ.actualizaTablaPage(dataGlobal, $event);"
            [pageSize]="pageServ.pageSize"
            [pageSizeOptions]="pageServ.pageSizeOptions">
      </mat-paginator>

    </div>

  </div>
   <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
</mat-drawer-container>
